org.jfree.chart.renderer.xy

## Interface XYBarPainter

All Known Implementing Classes:
  GradientXYBarPainter, StandardXYBarPainter

    public interface XYBarPainter

The interface for plugin painter for the `XYBarRenderer` class. When developing a class that implements this interface, bear in mind the following:

- the `equals(Object)` method should be overridden;
- instances of the class should be immutable OR implement the `PublicCloneable` interface, so that a renderer using the painter can be cloned reliably;
- the class should be `Serializable`, otherwise chart serialization will not be supported.

Since:
  1.0.11

### Method Summary

Methods
`void` `paintBar(java.awt.Graphics2D g2, XYBarRenderer renderer, int row, int column, java.awt.geom.RectangularShape bar, org.jfree.ui.RectangleEdge base)` Paints a single bar on behalf of a renderer.
`void` `paintBarShadow(java.awt.Graphics2D g2, XYBarRenderer renderer, int row, int column, java.awt.geom.RectangularShape bar, org.jfree.ui.RectangleEdge base, boolean pegShadow)` Paints the shadow for a single bar on behalf of a renderer.

### Method Detail

#### paintBar

    void paintBar(java.awt.Graphics2D g2,
                XYBarRenderer renderer,
                int row,
                int column,
                java.awt.geom.RectangularShape bar,
                org.jfree.ui.RectangleEdge base)

Paints a single bar on behalf of a renderer.

Parameters:
  `g2` - the graphics target.
  `renderer` - the renderer.
  `row` - the row index for the item.
  `column` - the column index for the item.
  `bar` - the bounds for the bar.
  `base` - the base of the bar.

#### paintBarShadow

    void paintBarShadow(java.awt.Graphics2D g2,
                      XYBarRenderer renderer,
                      int row,
                      int column,
                      java.awt.geom.RectangularShape bar,
                      org.jfree.ui.RectangleEdge base,
                      boolean pegShadow)

Paints the shadow for a single bar on behalf of a renderer.

Parameters:
  `g2` - the graphics target.
  `renderer` - the renderer.
  `row` - the row index for the item.
  `column` - the column index for the item.
  `bar` - the bounds for the bar.
  `base` - the base of the bar.
  `pegShadow` - peg the shadow to the base of the bar?